Page MenuHomePhabricator

TOC should be horizontally scrollable or items in it should wrap
Closed, ResolvedPublic

Description

Otherwise long lines overflow it. Please see the screenshot.

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 6:37 PM
bmansurov renamed this task from TOC should be horizontally scrollable to TOC should be horizontally scrollable or items in it should wrap.Feb 12 2015, 6:39 PM
bmansurov set Security to None.
gerritbot added a subscriber: gerritbot.

Change 190734 had a related patch set uploaded (by Sumit):
TOC: horizontal scrolling added for long words

https://gerrit.wikimedia.org/r/190734

Patch-For-Review

Sumit added a subscriber: Sumit.Feb 15 2015, 8:58 PM

Was not sure regarding the view, presently added a scroll to TOC

Sumit added a comment.Feb 24 2015, 1:33 PM

Here's a screenshot, the text within <li> is small enough yet each <li>'s actual width is exceeding the container, which seems to be the problem. Because words wrap within <li>, they wrap after a little offset. Is this width of <li> the required behaviour?

Sumit added a comment.EditedFeb 24 2015, 1:56 PM

setting the width of containing toc-collapsible block(say to 90%), seems to work. Uploaded with that for now

bmansurov closed this task as Resolved.Feb 25 2015, 5:49 PM
bmansurov claimed this task.

Change 190734 merged by jenkins-bot:
TOC: horizontal scrolling added for long words

https://gerrit.wikimedia.org/r/190734